####################################################################################################################################################################################
###### Tool indicators ES Assesment V0 (31/03/2017)
###### Contact: Gudrun Schwilch <Gudrun.Schwilch@cde.unibe.ch>; Tatenda Lemann <tatenda.lemann@cde.unibe.ch>
###### Author: maria.ruiperezgonzalez@wur.nl; ISRIC - World Soil Information

###### Special attributions for the polarBarChart function. Adapted from:
## Original Polar Histogram by Christophe Ladroue
## Source: http://chrisladroue.com/2012/02/polar-histogram-pretty-and-useful/
## Modified from original by Christos Hatzis 3.22.2012 (CH)
#' CC licence: http://creativecommons.org/licenses/by-nc-sa/3.0/ 
#' Attribution - You must attribute the work in the manner specified by the author or licensor (but not in any way that suggests that they endorse you or your use of the work).
#' Noncommercial - You may not use this work for commercial purposes.
#' Share Alike - If you alter, transform, or build upon this work, you may distribute the resulting work only under the same or similar license to this one. 
#'
###################################################################################################################################################################################

### STEP 0: @_maybe_requiresACTION: install packages
## install packages
# install.packages('readxl')
# install.packages('Cairo')
# install.packages('ggplot2')
# install.packages('RColorBrewer')
# install.packages('plyr')
# install.packages('gridExtra')
# install.packages('dplyr')


##load packages
require(readxl)
library(Cairo)
require(ggplot2)
require(RColorBrewer)
require(plyr)
require(gridExtra)
require(dplyr)
require(tibble)

########  STEP 1:
### setting working path
# @_requiresACTION: Please replace: "/data/big/mruiperez/RECARE/_RTool_Indicators_ESAssesment" with the path were you store the tool files.
workingPath = "P:/land/02_projects/EU-RECARE/WP07_CostsBenefits&AdoptionOfMeasures/Task1/ContributionsCaseStudies/Round 3/_RTool_IndicatorsESAssesment_V10"

# setting working dir and calling the specific functions (stored in "_functionTool.R")
setwd(workingPath)
source("_functionTool.R")

### STEP 2:
## @_requiresACTION: Please replace: "Switzerland_Tool_IndicatorsESAssesment_V10.xlsx" with the name of your file!.
nameExcelFile = "Switzerland_Tool_IndicatorsESAssesment_V10.xlsx"

### STEP 3:
## DONT modify; Just run it!.
time.lst <- c("short term", "long term")
level.lst <- c("plot level", "wider area")

workingPath=workingPath
nameExcelFile=nameExcelFile

time=time.lst[1]
level=level.lst[1]

## Graph 1 : affected area / plot level	; after implemenation period
p1 <- runPlot (workingPath, nameExcelFile,time=time.lst[1], level=level.lst[1]);p1

## Graph 2 : wider area / regional level	; after implemenation period
p2 <- runPlot (workingPath, nameExcelFile,time=time.lst[1], level=level.lst[2]);p2
## Graph 3 : affected area / plot level	; ES change after 10 years
p3 <- runPlot (workingPath, nameExcelFile,time=time.lst[2], level=level.lst[1]);p3
## Graph 4 : wider area / regional level	; ES change after 10 years
p4 <- runPlot (workingPath, nameExcelFile,time=time.lst[2], level=level.lst[2]);p4

## STEP 4: export graphs as pdf
## DONT modify; Just run it!.
## All graphs in one pdf
CairoPDF(file=paste0("./All_Graphs",  ".pdf"), width=44, height=44, family="FreeSans")
grid.arrange(arrangeGrob(p1,p2, ncol=2, nrow=1),
             arrangeGrob(p3,p4, ncol=2, nrow=1), heights=c(5000,5000)) 
dev.off()
dev.off()

### end of the script;
